Name:		testdisk
Version:	7.0
Release:	%mkrel 3
License:	GPLv2+
Summary:	Tool to check and undelete partition
Summary(pl):	Narzdzie sprawdzajce i odzyskujce partycje
Summary(fr):	Outil pour vrifier et restaurer des partitions
Group:		System/Kernel and hardware
Source0:	http://www.cgsecurity.org/%{name}-%{version}.tar.xz
URL:		http://www.cgsecurity.org/wiki/TestDisk
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	e2fsprogs-devel
BuildRequires:	libewf-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libuuid-devel
BuildRequires:	ncurses-devel
BuildRequires:	ntfs-3g-devel
BuildRequires:	zlib-devel
BuildRequires:	qt4-devel
BuildRequires:	desktop-file-utils

%package -n photorec
Summary:	Data recovery software
Group:		System/Kernel and hardware

%description
Tool to check and undelete partition. Works with the following
filesystems:
    * BeFS ( BeOS )
    * BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
    * CramFS, Compressed File System
    * DOS/Windows FAT12, FAT16 and FAT32
    * HFS and HFS+, Hierarchical File System
    * JFS, IBM's Journaled File System
    * Linux Ext2 and Ext3
    * Linux Raid
          o RAID 1: mirroring
          o RAID 4: striped array with parity device
          o RAID 5: striped array with distributed parity information
          o RAID 6: striped array with distributed dual redundancy information 
    * Linux Swap (versions 1 and 2)
    * LVM and LVM2, Linux Logical Volume Manager
    * Mac partition map
    * Novell Storage Services NSS
    * NTFS ( Windows NT/2K/XP/2003/Vista )
    * ReiserFS 3.5, 3.6 and 4
    * Sun Solaris i386 disklabel
    * Unix File System UFS and UFS2 (Sun/BSD/...)
    * XFS, SGI's Journaled File System 

%description -l pl
Narzdzie sprawdzajce i odzyskujace partycje. Pracuje z partycjami:
    * BeFS ( BeOS )
    * BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
    * CramFS, Compressed File System
    * DOS/Windows FAT12, FAT16 and FAT32
    * HFS and HFS+, Hierarchical File System
    * JFS, IBM's Journaled File System
    * Linux Ext2 and Ext3
    * Linux Raid
          o RAID 1: mirroring
          o RAID 4: striped array with parity device
          o RAID 5: striped array with distributed parity information
          o RAID 6: striped array with distributed dual redundancy information
    * Linux Swap (versions 1 and 2)
    * LVM and LVM2, Linux Logical Volume Manager 
    * Mac partition map
    * Novell Storage Services NSS
    * NTFS ( Windows NT/2K/XP/2003/Vista )
    * ReiserFS 3.5, 3.6 and 4
    * Sun Solaris i386 disklabel
    * Unix File System UFS and UFS2 (Sun/BSD/...)
    * XFS, SGI's Journaled File System

%description -l fr
Outil pour vrifier et restaurer des partitions. Fonctionne avec les 
systmes de fichiers suivants :

    * BeFS ( BeOS )
    * BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
    * CramFS (Compressed File System)
    * DOS/Windows FAT12, FAT16 and FAT32
    * HFS et HFS+, Hierarchical File System
    * JFS, Systme de fichier journalis d'IBM
    * Linux Ext2 et Ext3
    * Linux Raid
          o RAID 1: mirroring
          o RAID 4: striped array with parity device
          o RAID 5: striped array with distributed parity information
          o RAID 6: striped array with distributed dual redundancy information 
    * Linux Swap (versions 1 et 2)
    * LVM et LVM2, Linux Logical Volume Manager
    * Netware NSS
    * NTFS ( Windows NT/2K/XP/2003 )
    * ReiserFS 3.5, 3.6 et 4
    * Sun Solaris i386 disklabel
    * UFS et UFS2 (Sun/BSD/...)
    * XFS, Systme de fichier journalis de SGI 

%description -n photorec
PhotoRec is file data recovery software designed to recover lost files
including video, documents and archives from Hard Disks and CDRom and lost
pictures (thus, its 'Photo Recovery' name) from digital camera memory.

PhotoRec ignores the filesystem and goes after the underlying data, so it
will still work even if your media's filesystem has been severely damaged
or re-formatted.


%prep
%setup -q

%build
export PATH=%qt4dir/bin:$PATH
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%make_install

pushd src
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -m 0755 testdisk $RPM_BUILD_ROOT%{_sbindir}/testdisk
install -m 0755 photorec $RPM_BUILD_ROOT%{_sbindir}/photorec
install -m 0755 fidentify $RPM_BUILD_ROOT%{_sbindir}/fidentify
install -m 0755 qphotorec $RPM_BUILD_ROOT%{_sbindir}/qphotorec
rm -fr $RPM_BUILD_ROOT%{_bindir}/testdisk
rm -fr $RPM_BUILD_ROOT%{_bindir}/photorec
rm -fr $RPM_BUILD_ROOT%{_bindir}/fidentify
rm -fr $RPM_BUILD_ROOT%{_bindir}/qphotorec

#mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
#install -m 0644 testdisk.8 $RPM_BUILD_ROOT/usr/share/man/man8
#install -m 0644 photorec.8 $RPM_BUILD_ROOT/usr/share/man/man8
#install -m 0644 fidentify.8 $RPM_BUILD_ROOT/usr/share/man/man8
popd

sed -i 's/usr\/bin/usr\/sbin/' %buildroot%{_datadir}/applications/qphotorec.desktop

#menu
desktop-file-install --vendor="" \
        --add-category="X-MandrivaLinux-System-FileTools;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/qphotorec.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/testdisk
%{_mandir}/man8/testdisk.8*
%{_mandir}/zh_CN/man8/testdisk.8*

%files -n photorec
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/photorec
%attr(755,root,root) %{_sbindir}/fidentify
%attr(755,root,root) %{_sbindir}/qphotorec
%{_mandir}/man8/photorec.8*
%{_mandir}/man8/fidentify.8*
%{_mandir}/man8/qphotorec.8*
%{_mandir}/zh_CN/man8/photorec.8*
%{_mandir}/zh_CN/man8/fidentify.8*
%{_mandir}/zh_CN/man8/qphotorec.8*
%{_datadir}/applications/qphotorec.desktop
%{_datadir}/icons/hicolor/48x48/apps/qphotorec.png
%{_datadir}/icons/hicolor/scalable/apps/qphotorec.svg


%changelog
* Fri Jul 14 2017 pp <pp> 7.0-3pclos2017
- rebuild for newer ntfs-3g

* Sat Mar 17 2017 pp <pp> 7.0-2pclos2017
- rebuild for newer ntfs-3g
- added qt4 export setting

* Fri Nov 27 2015 gseaman <galen.seaman at comcast.net> 7.0-1gseaman2015
- 7.0
- build from sources
- includes qphotorec with photorec rpm

* Mon Nov 07 2011 Texstar <texstar at gmail.com> 6.13-1pclos2011
- 6.13

* Wed Apr 13 2011 Texstar <texstar at gmail.com> 6.11.3-1pclos2011
- 6.11.3 and use static builds to prevent segfaults

* Fri Jan 22 2010 Texstar <texstar at gmail.com> 6.11-1pclos2010
- 6.11

